package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcCar;

/**
 * cmc车辆信息Service接口
 * 
 * @author cmc
 * @date 2024-02-23
 */
public interface ICmcCarService 
{
    /**
     * 查询cmc车辆信息
     * 
     * @param carId cmc车辆信息主键
     * @return cmc车辆信息
     */
    public CmcCar selectCmcCarByCarId(Integer carId);

    /**
     * 查询cmc车辆信息列表
     * 
     * @param cmcCar cmc车辆信息
     * @return cmc车辆信息集合
     */
    public List<CmcCar> selectCmcCarList(CmcCar cmcCar);

    /**
     * 新增cmc车辆信息
     * 
     * @param cmcCar cmc车辆信息
     * @return 结果
     */
    public int insertCmcCar(CmcCar cmcCar);

    /**
     * 修改cmc车辆信息
     * 
     * @param cmcCar cmc车辆信息
     * @return 结果
     */
    public int updateCmcCar(CmcCar cmcCar);

    /**
     * 批量删除cmc车辆信息
     * 
     * @param carIds 需要删除的cmc车辆信息主键集合
     * @return 结果
     */
    public int deleteCmcCarByCarIds(Long[] carIds);

    /**
     * 删除cmc车辆信息信息
     * 
     * @param carId cmc车辆信息主键
     * @return 结果
     */
    public int deleteCmcCarByCarId(Long carId);
}
